<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
	die;
}

class ysd_jobs_database {

    /**
     * Function that handles database installation and updates
     */    
    static function upgrade_db() {
        $db_rev = get_option('ysd-msltn-db-revision');
        if ($db_rev == 'install') {
            update_option('ysd-msltn-db-revision', YSD_MYSOLUTION_DBREVISION);
            return;
        } else {

            if ($db_rev == 1) {
                // Register new options and default values
                update_option('ysd-msltn-jobs-disable-garbage-collection', '0');
                update_option('ysd-msltn-db-revision', '2');
                $db_rev = 2; //Upgrade DB version
            }
            
            if ($db_rev == 2) {
                // Register new options and default values
                update_option('ysd-msltn-enable-feeds', '1');
                update_option('ysd-msltn-db-revision', '3');
                $db_rev = 3; // Upgrade DB version
            }
            
            if ($db_rev == 3) {
                // Register new options and default values
                update_option('ysd-msltn-legacy-single-template', '1');
                update_option('ysd-msltn-db-revision', '4');
                $db_rev = 4; // Upgrade DB version
            }

            if ($db_rev == 4) {
                // Replace old taxonomies in DB with the new slugs
                global $wpdb;
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-professional-field' WHERE `taxonomy` = 'professional-field'");
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-industry' WHERE `taxonomy` = 'industry'");
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-region' WHERE `taxonomy` = 'region'");
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-education_level' WHERE `taxonomy` = 'education_level'");
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-employment_type' WHERE `taxonomy` = 'employment_type'");
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-recruiter' WHERE `taxonomy` = 'recruiter'");
                $wpdb->query("UPDATE $wpdb->term_taxonomy SET `taxonomy` = 'ysdms-jobs-hours-per-week' WHERE `taxonomy` = 'hours-per-week'");
                $db_rev = 5; // Upgrade DB version*/
            }

            if ($db_rev == 5) {
                $db_rev = 6; // Upgrade DB version*/
            }
            
            // Save new DB version in options table
            update_option('ysd-msltn-db-revision', $db_rev);
        }
    }

}