<?php
    // If this file is called directly, abort.
    if (! defined('WPINC')) {
        die;
    }
?>

<div id="ysd-mysolution-settings-wrap" class="wrap">

    <div id="ysd-mysolution-plugin-header">    
        <h1 class="wp-heading-inline"><?php _e('Mysolution Integration', YSD_MYSOLUTION_TEXT_DOMAIN); ?></h1>
        <p class="wp-heading-subtitle"><?php printf(__('by <a target="_blank" href="%2$s">%1$s</a>', YSD_MYSOLUTION_TEXT_DOMAIN), YSD_MYSOLUTION_PLUGIN_AUTHOR, YSD_MYSOLUTION_PLUGIN_AUTHOR_URI); ?></p>
    </div>
    <hr class="wp-header-end">

    <?php
    
    if ( (isset($_GET['page_action'])) && ($_GET['page_action'] == 'oauth') ) {
        $ysd_mysolution_api = new ysd_mysolution_api;
        $call = $ysd_mysolution_api->refresh_token();

        if ($call) {
            echo '<div id="message" class="updated"><p><strong>'.__('Token updated.', YSD_MYSOLUTION_TEXT_DOMAIN).'</strong></p></div>';    
        } else {
            echo '<div id="message" class="error"><p><strong>'.__('The token could not be updated. Authentication failed.', YSD_MYSOLUTION_TEXT_DOMAIN).'</strong></p></div>';    
        }
    } else if ( (isset($_GET['page_action'])) && ($_GET['page_action'] == 'trash_all') ) {
        $ysd_jobs_db = new ysd_jobs_db;
        $num_deleted = $ysd_jobs_db->trash_all_jobs();
        echo '<div id="message" class="updated"><p><strong>Deleted '.$num_deleted.' jobs.</strong></p></div>';
    }

    if (!empty($_POST) && !isset($_GET['page_action'])) {
        echo '<div id="message" class="updated"><p><strong>'.__('Settings saved.').'</strong></p></div>';
        foreach ($_POST as $key => $value) {
            update_option($key, $value);
        }
        flush_rewrite_rules();
    }

    $check = ysd_mysolution_user_validation::check_validation();
    if ($check == FALSE) {
        $ysd_mysolution_user_validation = new ysd_mysolution_user_validation();
        $ysd_mysolution_user_validation->cron_telemetry();
        echo '<div id="message" class="error"><p>';
        echo $ysd_mysolution_user_validation->validation_warning();
        echo '</p></div>';
    }

    $tabs = array(
        'dashboard' => array(
            'id'        => 'dashboard',
            'label'     => __('Dashboard', YSD_MYSOLUTION_TEXT_DOMAIN),
            'url'       => 'edit.php?post_type=job&page=job_settings&tab=dashboard',
        )
    );

    if ($check == TRUE) {
        $tabs['api'] = array(
            'id'        => 'api',
            'label'     => __('API', YSD_MYSOLUTION_TEXT_DOMAIN),
            'url'       => 'edit.php?post_type=job&page=job_settings&tab=api',
        );
        $tabs['appearance'] = array(
            'id'        => 'appearance',
            'label'     => __('Appearance', YSD_MYSOLUTION_TEXT_DOMAIN),
            'url'       => 'edit.php?post_type=job&page=job_settings&tab=appearance',
        );
        $tabs['fields'] = array(
            'id'        => 'fields',
            'label'     => __('Fields', YSD_MYSOLUTION_TEXT_DOMAIN),
            'url'       => 'edit.php?post_type=job&page=job_settings&tab=fields',
        );
        $tabs['feeds'] = array(
            'id'        => 'feeds',
            'label'     => __('Data & Feeds', YSD_MYSOLUTION_TEXT_DOMAIN),
            'url'       => 'edit.php?post_type=job&page=job_settings&tab=feeds',
        );
        $tabs['advanced'] = array(
            'id'        => 'advanced',
            'label'     => __('Advanced', YSD_MYSOLUTION_TEXT_DOMAIN),
            'url'       => 'edit.php?post_type=job&page=job_settings&tab=advanced',
        );
    }
    
    if (isset($_GET['tab']) && !empty($_GET['tab'])) {
        $current_tab = $_GET['tab'];
    } else {
        $current_tab = 'dashboard';
    }

    echo bwhf_render_tabs($tabs, $current_tab);

    ?>

    <?php
        switch ($current_tab) {
            case 'dashboard':
                include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_dashboard.php');
                break;
            case 'api':
                if ($check == TRUE) {
                    include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_api.php');
                    break;
                }
            case 'appearance':
                if ($check == TRUE) {
                    include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_appearance.php');
                    break;
                }
            case 'fields':
                if ($check == TRUE) {
                    include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_fields.php');
                    break;
                }
            case 'feeds':
                if ($check == TRUE) {
                    include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_feeds.php');
                    break;
                }
            case 'advanced':
                if ($check == TRUE) {
                    include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_advanced.php');
                    break;
                }
            case 'invalid':
                include(YSD_MYSOLUTION_PLUGIN_PATH . 'admin/views/settings_jobs_tab_rick.php');
                break;      
            default:
                echo '<h1>';
                _e('You cannot access this page right now.', YSD_MYSOLUTION_TEXT_DOMAIN);
                echo '</h1>';
                break;
        }
    ?>

</div>