<?php

/**
 * Render Fields
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
	die;
}

if (!function_exists('bwhf_render_fields')) {
    function bwhf_render_fields($fields, $form_type, $textdomain = 'bwhf') {
        $output = '';

        foreach ($fields as $field_id => $f) {
            if (!isset($f['class'])) { $f['class'] = ''; }
            if (!isset($f['value'])) { $f['value'] = ''; }
            if (!isset($f['default'])) { $f['default'] = ''; }
            
            // Render label and field
            $label = '<label for="'.$field_id.'">'.$f['label'].'</label>';
            
            $value = $f['value'];
            if (empty($value)) {
                $value = $f['default'];
            }
            
            switch ($f['type']) {
                case 'password':
                    $field = '<input id="'.$field_id.'" name="'.$field_id.'" type="password" value="'.$value.'" class="regular-text '.$f['class'].'"/>';
                    break;                

                case 'media':
                    $field = '<input id="'.$field_id.'" name="'.$field_id.'" type="text" value="'.$value.'" class="regular-text '.$f['class'].'" />';
                    $field.= '<input class="button bwhf-metabox-media" id="'.$field_id.'_button" name="'.$field_id.'_button" type="button" value="'.__('Choose Image', $textdomain).'" />';
                    break;

                default:
                    $field = '<input id="'.$field_id.'" name="'.$field_id.'" type="text" value="'.$value.'" class="regular-text '.$f['class'].'"/>';
                    break;
            }

            if (isset($f['description'])) {
                $field.= '<p class="description" id="'.$field_id.'-description">'.$f['description'].'</p>';
            }
            
            // Render form formatting
            switch ($form_type) {
                case 'taxonomy_edit':
                    $output.= '<tr class="form-field">';
                    $output.= '<th>'.$label.'</th>';
                    $output.= '<td>'.$field.'</td>';
                    $output.= '</tr>';
                    break;

                case 'taxonomy_add':
                    $output.= '<div class="form-field '.$field_id.'-wrap">';
                    $output.= $label;
                    $output.= $field;
                    $output.= '</div>';
                    break;

                case 'woocommerce_metabox':
                    $output.= '<p class="form-field _'.$field_id.'_field">';
                    $output.= $label;
                    $output.= $field;
                    $output.= '</p>';
                    break;                    

                case 'options':
                case 'settings':
                    $output.= '<tr>';
                    $output.= '<th>'.$label.'</th>';
                    $output.= '<td>'.$field.'</td>';
                    $output.= '</tr>';
                    break;                    
            }

        }

        return $output;

    }
}

if (!function_exists('bwhf_admin_footer_media_box')) {
    function bwhf_admin_footer_media_box() {
        ?><script>
            // https://codestag.com/how-to-use-wordpress-3-5-media-uploader-in-theme-options/
            jQuery(document).ready(function($){
                if ( typeof wp.media !== 'undefined' ) {
                    var _custom_media = true,
                    _orig_send_attachment = wp.media.editor.send.attachment;
                    jQuery('.bwhf-metabox-media').click(function(e) {
                        var send_attachment_bkp = wp.media.editor.send.attachment;
                        var button = jQuery(this);
                        var id = button.attr('id').replace('_button', '');
                        _custom_media = true;
                            wp.media.editor.send.attachment = function(props, attachment){
                            if ( _custom_media ) {
                                jQuery("#"+id).val(attachment.url);
                            } else {
                                return _orig_send_attachment.apply( this, [props, attachment] );
                            };
                        }
                        wp.media.editor.open(button);
                        return false;
                    });
                    jQuery('.add_media').on('click', function(){
                        _custom_media = false;
                    });
                }
            });
        </script><?php
    }
    add_action('admin_footer', 'bwhf_admin_footer_media_box');
}