<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

function ysd_mysolution_feed_general()
{
    $numposts = get_option( 'posts_per_rss' );

    function rss_date( $timestamp = null ) {
        $timestamp = ($timestamp == null) ? time() : $timestamp;
        echo date(DATE_RSS, $timestamp);
    }

    function rss_text_limit($string, $length, $replacer = '...') { 
        $string = strip_tags($string);
        if (strlen($string) > $length) {
            return (preg_match('/^(.*)\W.*$/', substr($string, 0, $length+1), $matches) ? $matches[1] : substr($string, 0, $length)) . $replacer;
        }
        return $string; 
    }

    $args = array(
        'numberposts'   => -1,
        'post_type'     => 'job',
        'orderby'       => 'date',
        'order'         => 'DESC',
    );
    $posts = get_posts($args);

    $lastpost = $numposts - 1;

    date_default_timezone_set('Europe/Amsterdam');

    header("Content-Type: application/xml; charset=UTF-8");
    echo '<?xml version="1.0" encoding="utf-8"?>';
    ?>
    <source>
        <publisher><?php echo get_bloginfo('name'); ?></publisher>
        <publisherurl><?php echo get_bloginfo('url'); ?></publisherurl>
        <lastBuildDate><?php echo date('r', time()); ?></lastBuildDate>
        <?php if (!empty($posts)) : ?>
        <?php foreach($posts as $p) : ?>
        <job>
            <url><![CDATA[<?php echo get_permalink($p->ID); ?>]]></url>
            <?php
                $fields = ysd_mysolution_default_field_mapping();
                foreach ($fields as $k => $f) {
                    if ($f['type'] != 'object') {
                        $v = get_post_meta($p->ID, 'job_'.$f['field'], true);
                        if (!empty($v)) {
                            echo '<'.$f['field'].'>';
                            echo '<![CDATA[';
                            echo get_post_meta($p->ID, 'job_'.$f['field'], true);
                            echo ']]>';
                            echo '</'.$f['field'].'>';
                        }
                    }
                }
            ?>
        </job>
        <?php endforeach; ?>
        <?php endif; ?>
    </source>
    
    <?php
}