<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

function ysd_mysolution_feed_indeed()
{
    $numposts = get_option( 'posts_per_rss' );

    function rss_date( $timestamp = null ) {
        $timestamp = ($timestamp == null) ? time() : $timestamp;
        echo date(DATE_RSS, $timestamp);
    }

    function rss_text_limit($string, $length, $replacer = '...') { 
        $string = strip_tags($string);
        if (strlen($string) > $length) {
            return (preg_match('/^(.*)\W.*$/', substr($string, 0, $length+1), $matches) ? $matches[1] : substr($string, 0, $length)) . $replacer;
        }
        return $string; 
    }

    $args = array(
        'numberposts'   => -1,
        'post_type'     => 'job',
        'orderby'       => 'date',
        'order'         => 'DESC',
    );
    $posts = get_posts($args);

    $lastpost = $numposts - 1;

    date_default_timezone_set('Europe/Amsterdam');

    header("Content-Type: application/xml; charset=UTF-8");
    echo '<?xml version="1.0" encoding="utf-8"?>';
    ?>
    <source>
        <publisher><?php echo get_bloginfo('name'); ?></publisher>
        <publisherurl><?php echo get_bloginfo('url'); ?></publisherurl>
        <lastBuildDate><?php echo date('r', time()); ?></lastBuildDate>
        <?php if (!empty($posts)) : ?>
        <?php foreach($posts as $p) :
        $content = get_post_meta($p->ID, 'job_msf__Job_Description__c', true);
        $content_full = $content;
        if (!empty(get_post_meta($p->ID, 'job_msf__Job_Requirements__c', true))) { $content_full.= '<br/><br/><b>Wat wordt er van jou gevraagd?</b><br/>' . get_post_meta($p->ID, 'job_msf__Job_Requirements__c', true); }
        if (!empty(get_post_meta($p->ID, 'job_msf__Employment_Conditions__c', true))) { $content_full.= '<br/><br/><b>Wat krijg je er voor terug?</b><br/>' . get_post_meta($p->ID, 'job_msf__Employment_Conditions__c', true); }
        if (!empty(get_post_meta($p->ID, 'job_msf__Company_Description__c', true))) { $content_full.= '<br/><br/><b>Wie zijn wij?</b><br/>' . get_post_meta($p->ID, 'job_msf__Company_Description__c', true); }
        if (!empty(get_post_meta($p->ID, 'job_msf__Application_Procedure__c', true))) { $content_full.= '<br/><br/><b>En? Ben je enthousiast?</b><br/>' . get_post_meta($p->ID, 'job_msf__Application_Procedure__c', true); }

        $content_full = apply_filters('mysolution_xml_feed_description', $content_full, $p);
        $content_full = apply_filters('ysd_mysolution_xml_feed_description', $content_full, $p);
        $content_full = ysd_mysolution_decode_html_special_chars($content_full);
        ?>
        <job>
            <title><![CDATA[<?php echo ysd_mysolution_decode_html_special_chars($p->post_title); ?>]]></title>
            <?php if (!empty(get_post_meta($p->ID, 'job_msf__Starting_Date__c', true))) : ?>
            <date><![CDATA[<?php $datefrom = date('r', strtotime(get_post_meta($p->ID, 'job_msf__Starting_Date__c', true))); echo $datefrom; ?>]]></date>
            <date_from><![CDATA[<?php echo $datefrom; ?>]]></date_from>
            <date_till><![CDATA[<?php
                $datetill = get_post_meta($p->ID, 'job_msf__Closing_Date__c', true);
                if (!empty($datetill)) {
                    echo date('r', strtotime($datetill));
                } else {
                    echo $datefrom;
                }
            ?>]]></date_till>
            <?php endif; ?>
            <referencenumber><![CDATA[<?php echo get_post_meta($p->ID, 'job_Id', true); ?>]]></referencenumber>
            <url><![CDATA[<?php echo get_permalink($p->ID); ?>]]></url>
            <company><![CDATA[<?php 
                if (!empty(get_option('ysd-msltn-company'))) {
                    echo get_option('ysd-msltn-company');
                } else {
                    echo get_post_meta($p->ID, 'job_msf__Account_Name__c', true);
                }
            ?>]]></company>
            <city><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Work_Address_City__c', true); ?>]]></city>
            <state></state>
            <country><![CDATA[<?php
                    $country = get_post_meta($p->ID, 'job_msf__Work_Country__c', true);
                    switch ($country) {
                        case 'Nederland':
                            echo 'NL';
                            break;

                        case '':
                            echo 'NL';
                            break;
                        
                        default:
                            echo $country;
                            break;
                    }
            ?>]]></country>
            <description><![CDATA[<?php echo $content_full; ?>]]></description>
            <salary><![CDATA[<?php
                $salary = ysd_mysolution_salary_string($p->ID, false);
                $salary = str_replace('€ ', '€', $salary);
                $salary = str_replace(' - ', '-', $salary);
                echo $salary;
            ?>]]></salary>
            <education><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Education_Level__c', true); ?>]]></education>
            <jobtype><![CDATA[<?php
                echo ysd_mysolution_parttime_or_fulltime(get_post_meta($p->ID, 'job_Uren_per_week__c', true));
                $type = get_post_meta($p->ID, 'job_msf__Employment_Type__c', true);
            ?>]]></jobtype>
            <experience><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Experience_Level__c', true); ?>]]></experience>
            <hours><![CDATA[<?php echo get_post_meta($p->ID, 'job_Uren_per_week__c', true); ?>]]></hours>
            <?php
                $recruiter = get_the_terms($p->ID, 'recruiter');
                if (is_array($recruiter) && isset($recruiter[0]->term_id)) {
                    $mail = get_term_meta($recruiter[0]->term_id, 'ysdms-recruiter-mail', true);
                } else {
                    $mail = NULL;
                }
            ?>
            <email><![CDATA[<?php echo $mail; ?>]]></email>
        </job>
        <?php endforeach; ?>
        <?php endif; ?>
    </source>
    
    <?php 
}