<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

function ysd_mysolution_feed_jobboost_io()
{
    $numposts = get_option( 'posts_per_rss' );

    function rss_date( $timestamp = null ) {
        $timestamp = ($timestamp == null) ? time() : $timestamp;
        echo date(DATE_RSS, $timestamp);
    }

    function rss_text_limit($string, $length, $replacer = '...') { 
        $string = strip_tags($string);
        if (strlen($string) > $length) {
            return (preg_match('/^(.*)\W.*$/', substr($string, 0, $length+1), $matches) ? $matches[1] : substr($string, 0, $length)) . $replacer;
        }
        return $string; 
    }

    $args = array(
        'numberposts'   => -1,
        'post_type'     => 'job',
        'orderby'       => 'date',
        'order'         => 'DESC',
    );
    $posts = get_posts($args);

    $lastpost = $numposts - 1;

    header("Content-Type: application/xml; charset=UTF-8");
    echo '<?xml version="1.0" encoding="utf-8"?>';
    ?>
    <jobs>
        <?php if (!empty($posts)) : ?>
        <?php foreach($posts as $p) :
        $content = get_post_meta($p->ID, 'job_msf__Job_Description__c', true);
        $content_full = $content;
        if (!empty(get_post_meta($p->ID, 'job_msf__Job_Requirements__c', true))) { $content_full.= '<br/><br/><b>Wat wordt er van jou gevraagd?</b><br/>' . get_post_meta($p->ID, 'job_msf__Job_Requirements__c', true); }
        if (!empty(get_post_meta($p->ID, 'job_msf__Employment_Conditions__c', true))) { $content_full.= '<br/><br/><b>Wat krijg je er voor terug?</b><br/>' . get_post_meta($p->ID, 'job_msf__Employment_Conditions__c', true); }
        if (!empty(get_post_meta($p->ID, 'job_msf__Company_Description__c', true))) { $content_full.= '<br/><br/><b>Wie zijn wij?</b><br/>' . get_post_meta($p->ID, 'job_msf__Company_Description__c', true); }
        if (!empty(get_post_meta($p->ID, 'job_msf__Application_Procedure__c', true))) { $content_full.= '<br/><br/><b>En? Ben je enthousiast?</b><br/>' . get_post_meta($p->ID, 'job_msf__Application_Procedure__c', true); }

        $content_full = apply_filters('mysolution_xml_feed_description', $content_full, $p);
        $content_full = apply_filters('ysd_mysolution_xml_feed_description', $content_full, $p);
        ?>
        <job>
            <title><![CDATA[<?php echo $p->post_title; ?>]]></title>
            <description><![CDATA[<?php echo $content; ?>]]></description>
            <text><![CDATA[<?php echo $content_full; ?>]]></text>
            <date_from><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Starting_Date__c', true); ?>]]></date_from>
            <date_till><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Closing_Date__c', true); ?>]]></date_till>
            <referencenumber><![CDATA[<?php echo get_post_meta($p->ID, 'job_Id', true); ?>]]></referencenumber>
            <company><![CDATA[<?php 
                if (!empty(get_option('ysd-msltn-company'))) {
                    echo get_option('ysd-msltn-company');
                } else {
                    echo get_post_meta($p->ID, 'job_msf__Account_Name__c', true);
                }
            ?>]]></company>
            <country_code><![CDATA[
                <?php
                    $country = get_post_meta($p->ID, 'job_msf__Work_Country__c', true);
                    switch ($country) {
                        case 'Nederland':
                            echo 'NL';
                            break;

                        case '':
                            echo 'NL';
                            break;                            
                        
                        default:
                            echo $country;
                            break;
                    }
                ?>
            ]]></country_code>
            <city><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Work_Address_City__c', true); ?>]]></city>
            <url><![CDATA[<?php echo get_permalink($p->ID); ?>]]></url>
            <education_level><![CDATA[<?php echo get_post_meta($p->ID, 'job_msf__Education_Level__c', true); ?>]]></education_level>
        </job>
        <?php endforeach; ?>
        <?php endif; ?>
    </jobs>
    
    <?php 
}