<?php

/**
 * The front-end functionality of the plugin.
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
} 

class ysd_mysolution_public_shortcode_latest_job_slider {

	/**
	 * Initialize the class and set its properties.
	 */
	public function __construct() {
        add_shortcode('ysd_latest_job_slider', array($this, 'shortcode_ysd_latest_job_slider'));
    }

    function shortcode_ysd_latest_job_slider($atts) {

        $options = shortcode_atts(
                array(
                    'slider'        => false,
                    'slider_speed'  => '5000',
                    'orderby'       => 'date',
                    'order'         => 'DESC',
                    'class'         => '',
                    'btn_class'     => 'c-button',
                    'amount'        => 6,
                ),
                $atts,
                'ysd_jobs'
            );

            $filter_query = array(
                'post_type'      => 'job',
                'posts_per_page' => $options['amount'],
                'orderby'        => $options['orderby'],
                'order'          => $options['order'],
            );

            // Only enque script if slider is in use
            wp_enqueue_script('slider_core');
            wp_enqueue_script('wps-slider');

            $output = $image = '';

            // Add custom class
            $customCss = $options['class'] ? ' ' . $options['class'] : '';

            $the_query = new WP_query( $filter_query );

            if ( $the_query->have_posts() ) {
                while ( $the_query->have_posts() ) {
                    $the_query->the_post();

                    $id = get_the_ID();

                    // Title
                    $title = get_the_title();

                    $location = get_post_meta($id, 'job_work_address_city', true);

                    $button = '<a class="'.$options['btn_class'].'" href="'.get_permalink($id).'">'.__('View Job', YSD_MYSOLUTION_TEXT_DOMAIN).'</a>';

                    $output .= sprintf(
                        '<div class="swiper-slide"><div class="c-job-slide">
                            <div class="c-job-slide__container">
                            <div class="c-job-slide__content">
                            <div class="c-job__location">%1$s</div>
                            <h3 class="c-job__title">%2$s</h3>
                            <div class="c-job__button">%3$s</div>
                        </div></div></div></div>',
                        $location,
                        $title,
                        $button
                    );
                }
                wp_reset_postdata();
            } else {
                $output = 'Sorry, no posts were found';
            }

            // Wrap all output
            $result = sprintf(
                '<div class="%1$s">
            <div class="swiper">
            <div class="swiper-container c-job-slider-container" data-speed="%2$s">
            <div class="swiper-wrapper">%3$s</div>	
            <div class="swiper-pagination"></div>
            </div>	
            </div>
            </div>',
                'c-job-slider' . $customCss,
                $options['slider_speed'],
                $output
            );

            /*
            <div class="swiper">
            <div class="swiper-container" data-speed="'.$options['slider_speed'].'"><div class="swiper-wrapper">'.$output.'</div><div class="swiper-pagination"></div></div></div></div>';
            */
            return $result;

    }

}