<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WPS_Prime_2
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

get_header(); ?>

	<div id="primary" <?php echo wps_main_content_class(); ?>>
		<main id="main" class="site-main" role="main">

		<?php
		if ( have_posts() ) : ?>

			<header class="page-header">
				<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="archive-description">', '</div>' );
				?>
			</header><!-- .page-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
                
                 $extra_class = get_post_meta($id, get_option('ysd-msltn-meta-class'), true);
                 $extra_class = explode(';', $extra_class);
                 $extra_class = sanitize_title($extra_class[0]);
                 
                 echo '<a style="display:block;" href="'.get_permalink(get_the_ID()).'" class="ms-job-archive-wrap u-background-body u-padding-tiny-bottom '.$extra_class.'">';
                 echo '<h3 class="u-h4 u-margin-bottom-tiny u-margin-top">'.get_the_title().'</h3>';
                 echo '<h5 class="u-text-thin">';
                 do_action('ysd_mysolution_job_meta');
                 echo '</h5>';
                 the_excerpt();
                 echo '</a>';

                 //get_template_part( 'template-parts/content', get_post_format() );

			endwhile;

			wps_prime_paging_nav('numbers');

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
