<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_job_field {

    public function __construct() {
        add_shortcode('get_job_metafield', array($this, 'sc_job_field'));
    }

    function sc_job_field($atts) {
        $atts = shortcode_atts(
            array(
                'field'         => 'job_api_id',
                'type'          => 'text',
                'sep'           => '', //seperator value, if you want to use multiple values on one line
                'class'         => '',
                'prefix'        => '',
                'suffix'        => '',
                'icon'          => '',
                'format'        => '', // Num
            ),
            $atts
        );

        $field = get_post_meta(get_the_ID(), $atts['field'], true);

        if (!empty($atts['sep'])) {
            $sep = ' ' . $atts['sep'] . ' ';
        } else {
            $sep = '';
        }

        if (!empty($atts['prefix'])) {
            $prefix = ' ' . $atts['prefix'] . ' ';
        } else {
            $prefix = '';
        }

        if (!empty($atts['suffix'])) {
            $suffix = ' ' . $atts['suffix'] . ' ';
        } else {
            $suffix = '';
        }

        if (!empty($atts['icon'])) {
            $icon = '<i class="' . $atts['icon'] . '"></i>';
        } else {
            $icon = '';
        }

        if (!empty($field)) {

            // Format Number based on Locale
            if ( 'num' == $atts['format'] && is_numeric( $field ) && class_exists( 'NumberFormatter' ) ) {
                $locale = !empty(get_user_locale()) ? get_user_locale() : 'nl_NL';
                $formatStyle = NumberFormatter::DECIMAL;
                $formatter = new NumberFormatter($locale, $formatStyle);
                $field = !empty($formatter) ? $formatter->format($field) : $field;
            }

            if ($atts['type'] == 'date') {
                return '<span class="ysdms-job-metafield '.$atts['class'].'">' . $icon . $prefix . date_i18n(get_option('date_format'), strtotime($field)) . $suffix . $sep . '</span>';
            } else {
                return '<span class="ysdms-job-metafield '.$atts['class'].'">' . $icon . $prefix . $field . $suffix . $sep . '</span>';
            }

        } else {
            return '<span class="ysdms-job-metafield '.$atts['class'].'"></span>';
        }
    }

}

$ysd_mysolution_shortcode_job_field = new ysd_mysolution_shortcode_job_field;