<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_job_taxonomy {

    public function __construct() {
        add_shortcode('get_job_taxonomy', array($this, 'sc_job_taxonomy'));
    }

    function sc_job_taxonomy($atts) {
        $options = shortcode_atts(
            array(
                'taxonomy'     => 'industry',
                'sep'           => '', //seperator value, if you want to use multiple values on one line
                'class'         => '',
                'prefix'        => '',
                'suffix'        => '',
                'icon'          => '',                
            ),
            $atts
        );

        $html = '';
        
        $terms = get_the_terms(get_the_ID(), $atts['taxonomy']);
        
        if (!empty($atts['sep'])) {
            $sep = ' ' . $atts['sep'] . ' ';
        } else {
            $sep = '';
        }

        if (!empty($atts['prefix'])) {
            $prefix = ' ' . $atts['prefix'] . ' ';
        } else {
            $prefix = '';
        }

        if (!empty($atts['suffix'])) {
            $suffix = ' ' . $atts['suffix'] . ' ';
        } else {
            $suffix = '';
        }

        if (!empty($atts['icon'])) {
            $icon = '<i class="' . $atts['icon'] . '"></i>';
        } else {
            $icon = '';
        }        

        if (!empty($terms)) {
            $total = count($terms);
            $count = 1;            
            
            $html .= '<span class="ysdms-job-metafield '.$atts['class'].'">' . $icon . $prefix;
            foreach ($terms as $term) {
                $html .= $term->name;
                if ($count != $total) {
                    $html .= ' | ';
                }
                $count++;
            }
            $html .= $suffix . $sep . '</span>';            
        }

        return $html;

    }

}

$ysd_mysolution_shortcode_job_taxonomy = new ysd_mysolution_shortcode_job_taxonomy;