<?php

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

class ysd_mysolution_shortcode_jobs {

    public function __construct() {
        add_shortcode('jobs', array($this, 'sc_jobs'));
    }

    function sc_jobs($atts) {

        global $post;

        $atts = shortcode_atts(
            array(
                'amount'    => '4',
                'orderby'   => 'date',
                'order'     => 'DESC',
                'class'     => '',
                'professional_field' => '',
                'industry'           => '',
                'region'             => '',
                'education_level'    => '',
                'employment_type'    => '',
                'hours_per_week'     => '',
                'count_jobs' => '0'
            ),
            $atts
        );

        if ($atts['count_jobs']) {
            $atts['amount'] = -1;
        }

        $args = array(
            'numberposts'   => $atts['amount'],
            'orderby'       => $atts['orderby'],
            'order'         => $atts['order'],
            'post_type'     => 'job',
            'tax_query'     => array(
                'relation' => 'AND',
            ),
        );

        //ysdms-jobs-professional-field
        if (get_option('ysd-msltn-jobs-field-professional_fields-toggle') != 1 && !empty($atts['professional_field'])) {
            array_push($args['tax_query'], array(
                'taxonomy'  => 'ysdms-jobs-professional-field',
                'field'     => 'slug',
                'terms'     => $atts['professional_field']
            ));
        }

        //ysdms-jobs-industry
        if (get_option('ysd-msltn-jobs-field-industry-toggle') != 1 && !empty($atts['industry'])) {
            array_push($args['tax_query'], array(
                'taxonomy'  => 'ysdms-jobs-industry',
                'field'     => 'slug',
                'terms'     => $atts['industry']
            ));
        }

        //ysdms-jobs-region
        if (get_option('ysd-msltn-jobs-field-region-toggle') != 1 && !empty($atts['region'])) {
            array_push($args['tax_query'], array(
                'taxonomy'  => 'ysdms-jobs-region',
                'field'     => 'slug',
                'terms'     => $atts['region']
            ));
        }

        //ysdms-jobs-education_level
        if (get_option('ysd-msltn-jobs-field-education_level-toggle') != 1 && !empty($atts['education_level'])) {
            array_push($args['tax_query'], array(
                'taxonomy'  => 'ysdms-jobs-education_level',
                'field'     => 'slug',
                'terms'     => $atts['education_level']
            ));
        }

        //ysdms-jobs-employment_type
        if (get_option('ysd-msltn-jobs-field-employment_type-toggle') != 1 && !empty($atts['employment_type'])) {
            array_push($args['tax_query'], array(
                'taxonomy'  => 'ysdms-jobs-employment_type',
                'field'     => 'slug',
                'terms'     => $atts['employment_type']
            ));
        }

        //ysdms-jobs-hours-per-week
        if (get_option('ysd-msltn-jobs-field-hours_per_week-toggle') != 1 && !empty($atts['hours_per_week'])) {
            array_push($args['tax_query'], array(
                'taxonomy'  => 'ysdms-jobs-hours-per-week',
                'field'     => 'slug',
                'terms'     => $atts['hours_per_week']
            ));
        }


        $jobs = get_posts($args);

        $output = '';

        $i = 0;

        if ($atts['count_jobs']) {
            echo '<span class="ysd-mysolution-job-count">';
            $count_string = count($jobs);
            $count_string = apply_filters('ysd_mysolution_jobs_count_shortcode', $count_string);
            echo $count_string;
            echo '</span>';
        } else {

            $output.= '<div class="ysdms-sc-jobs">';

            foreach ($jobs as $j) { $post = get_post($j); setup_postdata($post);
                $i++;
                
                $loop_item      = '';
                $loop_item_alt  = '';

                $loop_item      = apply_filters('ysd_mysolution_loop_item_content', $loop_item, get_the_ID(), $i);
                $loop_item_alt  = apply_filters('ysd_mysolution_loop_item_content_sc_jobs', $loop_item_alt, get_the_ID(), $i);

                if (!empty($loop_item_alt)) {
                    $loop_item = $loop_item_alt;
                }

                $output.= $loop_item;

                wp_reset_postdata();
            }

            $output.= '</div>';

        }

        return $output;

    }

}

$ysd_mysolution_shortcode_jobs = new ysd_mysolution_shortcode_jobs;