<?php

if (!empty(get_option('ysd-msltn-company'))) {
    $company = get_option('ysd-msltn-company');
} else {
    $company = get_post_meta(get_the_ID(), 'job_msf__Account_Name__c', true);
}

$validThrough = get_post_meta(get_the_ID(), 'job_msf__Closing_Date__c', true);
if (!empty($validThrough)) {
    $validThrough = date('r', strtotime($validThrough));
} else {
    $validThrough = '';
}

$custom_logo_id = get_theme_mod('custom_logo');
if (!empty($custom_logo_id)) {
    $logo = wp_get_attachment_image_src($custom_logo_id , 'full');
} else {
    $logo = get_option('ysd-msltn-company-logo-url');
}

echo '<script type="application/ld+json">
{
    "@context" : "https://schema.org/",
    "@type" : "JobPosting",
    "title" : "'.get_the_title().'",
    "description" : "'.get_post_meta(get_the_ID(), 'job_msf__Job_Description__c', true).'",
    "identifier": {
        "@type": "PropertyValue",
        "name": "'.$company.'",
        "value": "'.get_post_meta(get_the_ID(), 'job_Id', true).'"
    },
    "datePosted" : "'.get_the_date('Y-m-d', get_the_ID()).'",
    "employmentType" : "CONTRACTOR",
';
if (!empty($validThrough)) {
    echo '"validThrough" : "'.$validThrough.'",';
} else {
    $validThrough = get_option('ysd-msltn-defaultdata-validthrough');
}
echo '
"hiringOrganization" : {
    "@type" : "Organization",
    "name" : "'.$company.'",
    "sameAs" : "'.get_home_url().'",';
if (!empty($logo)) {
    echo '"logo" : "'.$logo.'"';
}

$addresslocality = get_post_meta(get_the_ID(), 'job_Regio__c', true);
if (empty($addresslocality)) {
    get_option('ysd-msltn-defaultdata-addresslocality');
}
$addressstreet = '';
if (empty($addressstreet)) {
    get_option('ysd-msltn-defaultdata-addressstreet');
}
$addressregion = '';
if (empty($addressregion)) {
    get_option('ysd-msltn-defaultdata-addressregion');
}
$addresszipcode = '';
if (empty($addresszipcode)) {
    get_option('ysd-msltn-defaultdata-addresszipcode');
}

echo '},
"jobLocation": {
    "@type": "Place",
    "address": {
        "@type": "PostalAddress",
        "addressLocality": "'.$addresslocality.'",
        "addressCountry": "NL"
        "streetAddress": "",
        "addressRegion": "",
        "postalCode": "",';
echo '}
}';

$salary = get_post_meta(get_the_ID(), 'job_msf__Salary_from__c', true);
$salary_period = get_post_meta(get_the_ID(), 'job_msf__Salary_Period__c', true);
if (empty($salary)) {
    get_option('ysd-msltn-defaultdata-salary');
}
if (empty($salary_period)) {
    get_option('ysd-msltn-defaultdata-salaryperiod');
}
if (!empty($salary) && !empty($salary_period)) {
    echo ',
    "baseSalary": {
        "@type": "MonetaryAmount",
        "currency": "'.get_option('ysd-msltn-salary-currency').'",
        "value": {
        "@type": "QuantitativeValue",
        "value": '.$salary.',
        "unitText": "'.$salary_period.'"
        }
    }';
}


echo '} </script>';