<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

get_header();

echo '<main id="site-content" role="main">';

echo '<div class="ysdms-main-wrap">';

do_action('ysd_mysolution_single_before_content');

if (get_option('ysd-msltn-jobs-add-single-sidebar') == "1") {
    echo '<div class="ysdms-sidebar">';
    do_action('ysd_mysolution_single_prepend_sidebar');
    dynamic_sidebar('ysdms-sidebar-widgets-single');
    do_action('ysd_mysolution_single_append_sidebar');
    echo '</div>';
} else if (get_option('ysd-msltn-jobs-add-single-sidebar') == "2") {
    if (get_option('ysd-msltn-jobs-add-archive-sidebar') == "1") {
        echo '<div class="ysdms-sidebar">';
        do_action('ysd_mysolution_single_prepend_sidebar');
        dynamic_sidebar('ysdms-sidebar-widgets');
        do_action('ysd_mysolution_single_append_sidebar');
        echo '</div>';
    }
}

echo '<div class="ysdms-main">';

    /* Start the Loop */
    while ( have_posts() ) :
        the_post();

        ?>

        <?php do_action('ysd_mysolution_single_prepend_content'); ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <header class="entry-header">
                <?php do_action('ysd_mysolution_single_before_title'); ?>
                <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                <?php do_action('ysd_mysolution_single_after_title'); ?>
            </header><!-- .entry-header -->

            <div class="entry-content">
                <?php the_content(); ?>
            </div><!-- .entry-content -->

        </article><!-- #post-<?php the_ID(); ?> -->

        <?php do_action('ysd_mysolution_single_append_content'); ?>

        <?php

    endwhile; // End of the loop.

echo '</div>';

do_action('ysd_mysolution_single_after_content');

echo '</div>';
echo '</main>';

get_footer();
